Skip to main content
PATCH
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
product_collection
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

name
string

A name for this product collection that will be visible to customers.

description
string | null

The product collection description, meant to be displayable to the customer.

position
integer | null

The ordering position of this product collection when displayed to customers.

slug
string

A unique and URL friendly string that represents this product collection. (This will be auto-generated when a product collection is created if not explicitly set.)

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

image

Expandable – The associated media ID.

products_count
integer

The number of products in this collection.

products

Expandable – Property not returned unless expanded.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.